package AIT_2022.module.complex;

import adf.core.agent.communication.MessageManager;
import adf.core.agent.develop.DevelopData;
import adf.core.agent.info.*;
import adf.core.agent.module.ModuleManager;
import adf.core.component.module.complex.*;
import rescuecore2.worldmodel.EntityID;

public class DummyBuildingDetector extends BuildingDetector
{
	public DummyBuildingDetector(
        AgentInfo ai, WorldInfo wi, ScenarioInfo si,
        ModuleManager mm, DevelopData dd)
    {
		super(ai, wi, si, mm, dd);
	}

	@Override
	public BuildingDetector updateInfo(MessageManager mm)
    {
		super.updateInfo(mm);
		return this;
	}

	@Override
	public BuildingDetector calc()
    {
		return this;
	}

	@Override
	public EntityID getTarget()
    {
        return null;
	}
}
